<?php

include 'load.php';


if(isset($_GET['puid'])){
	
	$puid=mysqli_real_escape_string($conn,$_GET['puid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobileproduction WHERE puid='$puid'");
	$view_result=mysqli_fetch_array($view_qury);
	
}

else{
	echo "<script>window.location='production.php';</script>";
}


	if(isset($_POST['update'])){

		$proname = $_POST['proname'];
		$pritems = $_POST['pritems'];
		$prqty = $_POST['prqty'];
		$prcost = $_POST['prcost'];
		$status = $_POST['status'];

    if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobileproduction
			SET proname=:proname,
			pritems=:pritems,
			prqty=:prqty,
			prcost=:prcost,
			status=:status
			WHERE puid=:puid');
			$stmt->bindParam(':proname',$proname);
			$stmt->bindParam(':pritems',$pritems);
			$stmt->bindParam(':prqty',$prqty);
			$stmt->bindParam(':prcost',$prcost);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':puid',$puid);
			
			if($stmt->execute()){
		  
			$successMSG = "Production Successfully Updated ...";
				
			header("refresh:2;production.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Production | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Production</h4>
<h6>Update your Edit Production</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
<?php
if(isset($errMSG)){
?>									
<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Error Alerts</h6>
<div class="text-white"> <?php echo $errMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php
}
else if(isset($successMSG)){
?>
<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Success Alerts</h6>
<div class="text-white"><?php echo $successMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>	
<?php
}
?>	
<div class="row">
<div class="col-lg-5 col-sm-6 col-12">
<div class="form-group">
<label>Production Name</label>
<input type="text" name="proname" class="form-control" placeholder="Enter Production Name" required>
</div>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Items</label>
<select name="pritems" class="select" id="inputpritems">
										<option value="<?php

												$id = $view_result['pritems']; 

												$query = $DB_con->prepare('SELECT psid FROM mobileproductionstock WHERE psid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['psid'];

												?>"><?php

												$id = $view_result['pritems'];  

												$query = $DB_con->prepare('SELECT psname,costprice,blancestock FROM mobileproductionstock WHERE psid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['psname']." | Price : ".number_format((float)$result['costprice']],2)." (Qty : ".$result['blancestock'].")";

												?>
										</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobileproductionstock ORDER BY psid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['psid']; ?>"><?php echo $row['psname']; ?> | Price : <?php echo number_format((float)$row['costprice'],2); ?> (Qty : <?php echo $row['blancestock']; ?>)</option>
										<?php 
										} 
										}
										?>
								</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Used Qty</label>
<input type="text" name="prqty" class="form-control" placeholder="Enter Used Qty" value="<?php echo $view_result['prqty']; ?>" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Total Cost</label>
<input type="text" name="prcost" class="form-control" placeholder="Enter Total Cost" value="<?php echo $view_result['prcost']; ?>" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Stock In</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Out Of Stock</option>
</select>
</div>
</div>
<div class="col-lg-12">
<a href="production.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>

<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>